Jump to content

gadonate

Members
  • Content count

    5
  • Joined

  • Last visited

Community Reputation

0 Neutral

About gadonate

  • Rank
    Newbie
  1. gadonate

    P.180 Avanti II - Support

    This did not help at all. Still gives the same message.
  2. gadonate

    P.180 Avanti II - Support

    Any update? Looking forward to fly this! Sent from my iPhone using Tapatalk
  3. gadonate

    P.180 Avanti II - Support

    Thank you so much, I will keep an eye out!
  4. gadonate

    P.180 Avanti II - Support

    Mac OS X Mojave, latest version. I do not have any X Aviation product, hence why I did as the download page said to download both the installer and the latest version. No Gizmo plug-in in the folder. Sent from my iPhone using Tapatalk
  5. gadonate

    P.180 Avanti II - Support

    Trying to install your great aircraft as recommended on the download page, but the installer says: Unable to download component Piaggio P.180 Avanti: Component file version does not match. I hit retry, but it does the same thing. Any help? See below.
×